midi-0.2.0.1: Handling of MIDI messages and files

Safe Haskell | None

Sound.MIDI.Message.Channel.Mode

Description

Channel mode messages

Synopsis

- data T
  - = AllSoundOff
  - | ResetAllControllers
  - | LocalControl Bool
  - | AllNotesOff
  - | OmniMode Bool
  - | MonoMode Int
  - | PolyMode
- get :: C parser => Int -> Fallible parser T
- put :: C writer => T -> writer
- fromControllerValue :: (Show a, Integral a) => (a, a) -> (Maybe UserMessage, T)
- toControllerValue :: Integral a => T -> (a, a)

# Documentation

data T Source

Constructors

AllSoundOff |
ResetAllControllers |
LocalControl Bool |
AllNotesOff |
OmniMode Bool |
MonoMode Int |
PolyMode |

Instances

Eq T |
Ord T |
Show T |
Arbitrary T |

get :: C parser => Int -> Fallible parser T Source

put :: C writer => T -> writerSource

fromControllerValue :: (Show a, Integral a) => (a, a) -> (Maybe UserMessage, T)Source

This function is also used in alsa-midi, we could give it the result type `Parser.PossiblyIncomplete T` otherwise.

toControllerValue :: Integral a => T -> (a, a)Source